diff --git a/src/timezone/localtime.c b/src/timezone/localtime.c
new file mode 100644
index 19a24e1..878e471
*** a/src/timezone/localtime.c
--- b/src/timezone/localtime.c
*************** localsub(const pg_time_t *timep, long of
*** 1070,1076 ****
  
  		while (lo < hi)
  		{
! 			int			mid = (lo + hi) >> 1;
  
  			if (t < sp->ats[mid])
  				hi = mid;
--- 1070,1076 ----
  
  		while (lo < hi)
  		{
! 			int			mid = (lo + hi) >> 1; /* overflow unlikely */
  
  			if (t < sp->ats[mid])
  				hi = mid;
*************** pg_next_dst_boundary(const pg_time_t *ti
*** 1423,1429 ****
  
  		while (lo < hi)
  		{
! 			int			mid = (lo + hi) >> 1;
  
  			if (t < sp->ats[mid])
  				hi = mid;
--- 1423,1429 ----
  
  		while (lo < hi)
  		{
! 			int			mid = (lo + hi) >> 1; /* overflow unlikely */
  
  			if (t < sp->ats[mid])
  				hi = mid;
*************** pg_interpret_timezone_abbrev(const char
*** 1506,1512 ****
  
  		while (lo < hi)
  		{
! 			int			mid = (lo + hi) >> 1;
  
  			if (t < sp->ats[mid])
  				hi = mid;
--- 1506,1512 ----
  
  		while (lo < hi)
  		{
! 			int			mid = (lo + hi) >> 1; /* overflow unlikely */
  
  			if (t < sp->ats[mid])
  				hi = mid;
